## p3scan 1.0

=== Makefile ===
# P3Scan 1.0
# 
# (C) 2003 by Jack S. Lai <laitcg@cox.net>
#
# It's intent is to provide a follow on program to POP3-Virusscan-Proxy 0.4
# by Folke Ashberg <folke@ashberg.de>.
#
# It is based upon his program but provides numerous changes to include
# scanning pop3 mail for spam, hardening the program, addaption to todays
# email environment, and many other changes.
#
# The initial release of p3scan includes patches made and submitted to the
# original project but were never incorporated.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PREFIX=/usr
MANDIR=$(PREFIX)/man/man8
CC=gcc
#CFLAGS=-Wall -ggdb
CFLAGS=-Wall -O2
LDFLAGS=-L. -lripmime -lpcre #-static

OBJECTS=getline.o parsefile.o p3scan.o \
	scanner_basic.o scanner_avpd.o scanner_trophie.o
LIBS=libripmime.a
PROGS=p3scan
DISTNAME="p3scan-1.0"

piddir=/var/run/$(PROGS)
datadir=/var/spool/$(PROGS)
notify=/var/spool/$(PROGS)notify
user=mail.mail
userdir=/etc/$(PROGS)
docdir=/usr/doc/$(DISTNAME)
all: $(PROGS)

ripmime/libripmime.a:
	cd ripmime && $(MAKE) libripmime || exit 1

libripmime.a: ripmime/libripmime.a
	ln -sf ripmime/libripmime.a libripmime.a

p3scan: $(OBJECTS) $(LIBS)
	$(CC) -o $@ $(OBJECTS) $(LDFLAGS)

.c.o:
	@# generic for all c .o
	$(CC) $(CFLAGS) -c $<

dep depend .dep:
	@echo "creating depencies"
	rm .tmp.dep -f
	@find -name "*.c"   -maxdepth 1 -print0 | xargs -n 1 -0rt $(CC) -M $(CFLAGS)  >>.tmp.dep
	mv .tmp.dep .dep
	    
install: p3scan
	ginstall -v -m 550 --strip p3scan $(PREFIX)/sbin/
	@if test -d $(piddir); then echo "$(piddir) exists, not creating."; else mkdir -p $(piddir); fi
	@if test -d $(userdir); then echo "$(userdir) exits, not creating."; \
	else mkdir -p $(userdir); chown $(user) $(userdir); fi
	@if [ -f $(userdir)/p3scan.conf ] ; then \
	    echo "$(userdir)/p3scan.conf already exists, copying to $(userdir)/p3scan.conf.sample" ; \
	    ginstall -v -m 600 p3scan.conf $(userdir)/p3scan.conf.sample ; \
	else \
	    ginstall -v -m 600 p3scan.conf $(userdir)/ ; \
	fi
	@if [ -f $(userdir)/p3scan.mail ] ; then \
	    echo "$(userdir)/p3scan.mail already exists, copying to $(userdir)/p3scan.mail.sample" ; \
	    ginstall -v -m 644 p3scan.mail $(userdir)/p3scan.mail.sample ; \
	else \
	    ginstall -v -m 644 p3scan.mail $(userdir)/ ; \
	fi

	@if test -d $(datadir)/children; then echo "$(datadir)/children exists, not creating."; else mkdir -p $(datadir)/children; fi
	@if test -d $(notify); then echo "$(notify) exists, not creating."; else mkdir $(notify); fi
	@chown $(user) $(piddir)
	@chown -R $(user) $(datadir)
	@chown $(user) $(notify)
	@chmod -R 700 $(datadir)
	@chmod 700 $(notify)
	ginstall -v -m 644 p3scan.8.gz $(MANDIR)
	ginstall -v -m 644 p3scan_readme.8.gz $(MANDIR)
	@if test -d $(docdir); then echo "$(docdir) exists, not creating."; else mkdir -p $(docdir); fi
	ginstall -v -m 644 AUTHORS $(docdir)
	ginstall -v -m 644 CHANGELOG $(docdir)
	ginstall -v -m 644 LICENSE $(docdir)
	ginstall -v -m 644 NEWS $(docdir)
	ginstall -v -m 644 README $(docdir)
	ginstall -v -m 644 README-rpm $(docdir)
	
#	@if [ -f /etc/SuSE-release ] ; then \
#	    echo "" ; \
#	    echo "It looks like a SuSE-System" ; \
#	    echo "Chdir to stuff and run p3scan.rc.suse-install " ; \
#	    echo "to install the startup-scripts" ; \
#	fi

#	@if [ -f /etc/debian_version ] ; then \
#	    echo "" ; \
#	    echo "It looks like a Debian-System" ; \
#	    echo "Chdir to stuff and run p3scan.rc.debian-install " ; \
#	    echo "to install the startup-scripts" ; \
#	fi

clean:
	cd ripmime && $(MAKE) clean
	rm -f ripmime/libripmime.a
	rm -f ripmime/ripOLE/ripole
	rm -f $(PROGS) $(OBJECTS) $(LIBS) .dep core

uninstall:
#	@echo "Does not remove active configuration files."
	@if [ -f /usr/sbin/$(PROGS) ] ; then rm -f /usr/sbin/$(PROGS) ; fi
	@if [ -f $(MANDIR)/p3scan.8.gz ] ; then rm -r $(MANDIR)/p3scan.8.gz ; fi
	@if [ -f $(MANDIR)/p3scan_readme.8.gz ] ; then rm -r $(MANDIR)/p3scan_readme.8.gz ; fi
	@if [ -f $(userdir)/p3scan.conf.sample ] ; then rm -f $(userdir)/p3scan.conf.sample ; fi
	@if [ -f $(userdir)/p3scan.mail.sample ] ; then rm -f $(userdir)/p3scan.mail.sample ; fi
	@{ test ! -d $(datadir) || { find $(datadir) -type d ! -perm -700 -exec chmod u+w {} ';' && rm -fr $(datadir); }; }
	@{ test ! -d $(notify) || { find $(notify) -type d ! -perm -700 -exec chmod u+w {} ';' && rm -fr $(notify); }; }
	@echo "$(PROGS), $(datadir), $(notify), and samples removed."
	@if [ -f $(userdir)/p3scan.conf ] ; then echo "$(userdir)/p3scan.conf remains." ; fi
	@if [ -f $(userdir)/p3scan.mail ] ; then echo "$(userdir)/p3scan.mail remains." ; fi
	@if [ -d $(docdir) ] ; then rm -rf $(docdir) ; fi
	@if [ -f $(MANDIR)/p3scan.8.gz ] ; then rm -f $(MANDIR)/p3scan.8.gz ; fi
	@if [ -f $(MANDIR)/p3scan_readme.8.gz ] ; then rm -f $(MANDIR)/p3scan_readme.8.gz ; fi

tags:
	@#VIM Users know why! *g*
	ctags --c-types=+c+p+f+x -R .

fulltags:
	@#VIM Users know why! *g*
	find -name "*.c" -maxdepth 1 -print0 \
	| xargs -n 1 -0r $(CC) -M -H $(CFLAGS) 2>.totag >/dev/null
	find -name "*.c" -maxdepth 1 -print0 \
	| xargs -n 1 -0r echo >>.totag
	cat .totag | sed "s/^[[:space:]]*//" | grep -v "^$(CC)" | sort | uniq >.totag
	ctags --c-types=+c+p+f+x -L .totag .
	rm -f .totag

dist:
	mkdir $(DISTNAME)
	mkdir $(DISTNAME)/stuff
	$(MAKE) clean
	cp Makefile getline.{c,h} parsefile.{c,h} p3scan.{c,h} $(DISTNAME)
	cp scanner.h scanner_*.c $(DISTNAME)
	cp p3scan.conf p3scan.mail $(DISTNAME)
	cp README LICENCE $(DISTNAME)
	cp ripmime $(DISTNAME) -Rv
	cp stuff  $(DISTNAME)/stuff -Rv
	tar cfv $(DISTNAME).tar $(DISTNAME)/
	rm -rf $(DISTNAME)
	gzip -9f $(DISTNAME).tar

	
.PHONY: clean install all tags fulltags dist dep depend

include .dep

=== ripmime/Makefile ===
LOCATION=/usr/local
VERSION=0.1.11
CC=gcc

# PERFORMANCE RELATED FLAG SETS
#CFLAGS=-Wall -O3 -march=i686
#CFLAGS= -Wall -O3 -march=k6
CFLAGS= -Wall -g
# OLE decoding is still considered to be 'beta' mode - so it 
#	disabled in the stable release of ripMIME for now
# You can turn it on, but watch out for various office files
#	which may/probably-will break ripMIME with a segfault
#	or other strange errors.  If you do wish to test this
#	and find a dud mailpack, please send through to
#	mailpacks@pldaniels.com
#
#COMPONENTS= -DRIPOLE
COMPONENTS= 

#  DEBUGGING Related Flags
#CFLAGS= -Wall -g

OBJ=ripmime 
RIPOLE_OBJS= ripOLE/ole.o ripOLE/olestream-unwrap.o ripOLE/bytedecoders.o 
#RIPOLE_OBJS=
OFILES= mime.o ffget.o MIME_headers.o tnef/tnef.o rawget.o pldstr.o logger.o libmime-decoders.o boundary-stack.o uuencode.o filename-filters.o $(RIPOLE_OBJS)

default: tnef/tnef.o ripmime ripOLE/ole.o


ripOLE/ole.o:
	./build_ripOLE

tnef/tnef.o:
	./build_tnef

.c.o:
	${CC} ${CFLAGS} $(COMPONENTS) -c $*.c

all: ${OBJ} 


libripmime: ${OFILES} ripmime-api.o
	ar ruvs libripmime.a ${OFILES}  ripmime-api.o

ripl: ripmime.a
	${CC} ${CFLAGS} ripmime.c ripmime.a -o ripmime

sco: ${OFILES}
	${CC} ${CFLAGS} ripmime.c ${OFILES} -o ripmime -lsocket

ripmime: ${OFILES} ripmime.c
	${CC} ${CFLAGS} $(COMPONENTS) ripmime.c ${OFILES} -o ripmime

riptest: ${OFILES}
	${CC} ${CFLAGS} riptest.c ${OFILES} -o riptest

install: ${OBJ}
	strip ripmime
	cp ripmime ${LOCATION}/bin/

clean:
	rm -f *.o *core ${OBJ}
	rm -f tnef/*.o
	rm -f ripOLE/*.o

MIMEH: MIME_headers.o strlower.o
	${CC} ${CFLAGS} MIMEH_test.c MIME_headers.o strlower.o -o MIMEH_test

=== ripmime/ripOLE/Makefile ===

CC=gcc
HDRDIR=.
OBJS= ole.o olestream-unwrap.o bytedecoders.o logger.o pldstr.o
INCLUDES=
LIBS= 
CFLAGS= -Wall -Werror -g
DEFINES= 
#DEFINES=-DDEBUG_TIMETEST

.c.o:
	$(CC) $(CFLAGS) $(DEFINES) -c $*.c

default: ripole

clean:
	rm -f *.o ripole

ripole: $(OBJS) ripole.[ch]
		$(CC) $(CFLAGS) $(OBJS) $(DEFINES) ripole.c -o ripole

=== ripmime/tnef/Makefile ===

CC=cc

# Possible platforms are SUN, HPUX, DEC, SGI, AIX, Linux and MSDOS
# The main definitions are for 32/16 bits and for byte order, the 
# default is big endian.  You can do -D__TNEF_BYTE_ORDER 1234 for little
# endian
PLATFORM=-D___TNEF_BYTE_ORDER=4321 
#CFLAGS = -O2 -ggdb
CFLAGS = -Wall -g -I..


default: config.h tnef.h tnef.c
	$(CC) $(CFLAGS) $(PLATFORM) -c tnef.c
	
lib: tnef.o
	ar ruvs tnef.a tnef.o

clean:
	rm -f *.o *.~[ch]

## p3scan 2.1

=== Makefile ===
# P3Scan 2.1
#
# (C) 2003/2004 by Jack S. Lai <laitcg@cox.net>
#
# It's intent is to provide a follow on program to POP3-Virusscan-Proxy 0.4
# by Folke Ashberg <folke@ashberg.de>.
#
# It is based upon his program but provides numerous changes to include
# scanning pop3 mail for spam, hardening the program, addaption to todays
# email environment, and many other changes.
#
# The initial release of p3scan includes patches made and submitted to the
# original project but were never incorporated.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

PROGS=p3scan
DISTNAME="p3scan-2.1"

# User options
LOGOPT="LOG_PID|LOG_CONS"
LOGFAC="LOG_DAEMON"
LOGSET=-DLOGOPT=${LOGOPT} -DLOGFAC=${LOGFAC}
LANG=en
CC=gcc
SYSINS=ginstall
CFLAGS=-Wall -O2 ${LOGSET}
LDFLAGS=-L. -lripmime -lpcre #-static

PREFIX=/usr
#MANDIR=$(PREFIX)/share/man/man8
MANDIR=$(PREFIX)/man/man8
piddir=/var/run/$(PROGS)
datadir=/var/spool/$(PROGS)
notify=/var/spool/$(PROGS)/notify
user=mail.mail
userdir=/etc/$(PROGS)
docdir=/usr/doc/$(DISTNAME)
# End user options

OBJECTS=getline.o parsefile.o p3scan.o \
	scanner_basic.o scanner_avpd.o scanner_trophie.o
LIBS=libripmime.a

all: $(PROGS)

ripmime/libripmime.a:
	cd ripmime && $(MAKE) libripmime || exit 1

libripmime.a: ripmime/libripmime.a
	ln -sf ripmime/libripmime.a libripmime.a

p3scan: $(OBJECTS) $(LIBS)
	$(CC) -o $@ $(OBJECTS) $(LDFLAGS)

.c.o:
	@# generic for all c .o
	$(CC) $(CFLAGS) -c $<

dep depend .dep:
	@echo "creating depencies"
	rm .tmp.dep -f
	@find -name "*.c"   -maxdepth 1 -print0 | xargs -n 1 -0rt $(CC) -M $(CFLAGS)  >>.tmp.dep
	mv .tmp.dep .dep

install: p3scan
	$(SYSINS) -v -m 550 --strip p3scan $(PREFIX)/sbin/
	@if [ -f /etc/sysconfig/init ] ; then $(SYSINS) -v -m 755 p3scan-init.d /etc/init.d/p3scan; fi
	@if [ -f /etc/rc.d/rc.p3scan ] ; then \
	   echo "rc.p3scan already exists, copying to /etc/rc.d/rc.p3scan.new" ; \
	   $(SYSINS) -v -m 660 rc.p3scan rc.p3scan.new ; \
	else \
	   $(SYSINS) -v -m 755 rc.p3scan /etc/rc.d ; \
	fi
	@if test -d $(piddir); then echo "$(piddir) exists, not creating."; else mkdir -p $(piddir); fi
	@if test -d $(userdir); then echo "$(userdir) exits, not creating."; \
	else mkdir -p $(userdir); chown $(user) $(userdir); fi
	@if [ -f $(userdir)/p3scan.conf ] ; then \
	    echo "$(userdir)/p3scan.conf already exists, copying to $(userdir)/p3scan.conf.sample" ; \
	    $(SYSINS) -v -m 600 p3scan.conf $(userdir)/p3scan.conf.sample ; \
	else \
	    $(SYSINS) -v -m 600 p3scan.conf $(userdir)/ ; \
	fi
	@if [ -f $(userdir)/p3scan.mail ] ; then \
	    echo "$(userdir)/p3scan.mail already exists, renaming to $(userdir)/p3scan.mail.old" ; \
	    mv $(userdir)/p3scan.mail $(userdir)/p3scan.mail.old ; \
	fi
	ln -sf $(userdir)/p3scan-$(LANG).mail $(userdir)/p3scan.mail
	@if test -d $(datadir)/children; then echo "$(datadir)/children exists, not creating."; else mkdir -p $(datadir)/children; fi
	@if test -d $(datadir)/notify; then echo "$(datadir)/notify exists, not creating."; else mkdir $(datadir)/notify; fi
	@chown $(user) $(piddir)
	@chown -R $(user) $(datadir)
	@chmod -R 700 $(datadir)
	$(SYSINS) -v -m 644 p3scan.8.gz $(MANDIR)
	$(SYSINS) -v -m 644 p3scan_readme.8.gz $(MANDIR)
	@if test -d $(docdir); then echo "$(docdir) exists, not creating."; else mkdir -p $(docdir); fi
	$(SYSINS) -v -m 644 AUTHORS $(docdir)
	$(SYSINS) -v -m 644 CHANGELOG $(docdir)
	$(SYSINS) -v -m 644 CONTRIBUTERS $(docdir)
	$(SYSINS) -v -m 644 LICENSE $(docdir)
	$(SYSINS) -v -m 644 NEWS $(docdir)
	$(SYSINS) -v -m 644 README $(docdir)
	$(SYSINS) -v -m 644 README-rpm $(docdir)
	$(SYSINS) -v -m 644 spamfaq.* $(docdir)
	$(SYSINS) -v -m 644 TODO.list $(docdir)
# Add translated mail files here:
	$(SYSINS) -v -m 644 p3scan-??-??.mail $(userdir)
	$(SYSINS) -v -m 644 p3scan-??.mail $(userdir)

clean:
	cd ripmime && $(MAKE) clean
	rm -f ripmime/libripmime.a
	rm -f ripmime/ripOLE/ripole
	rm -f $(DISTNAME).tar.* $(PROGS) $(OBJECTS) $(LIBS) .dep core

uninstall:
	@if [ -f $(PREFIX)/sbin/$(PROGS) ] ; then rm -f $(PREFIX)/sbin/$(PROGS) ; fi
	@if [ -f /etc/init.d/p3scan ] ; then rm -f /etc/init.d/p3scan ; fi
	@if [ -f /etc/rc.d/rc.p3scan ] ; then rm -f /etc/rc.d/rc.p3scan ; fi
	@if [ -f $(MANDIR)/p3scan.8.gz ] ; then rm -r $(MANDIR)/p3scan.8.gz ; fi
	@if [ -f $(MANDIR)/p3scan_readme.8.gz ] ; then rm -r $(MANDIR)/p3scan_readme.8.gz ; fi
	@if [ -f $(userdir)/p3scan.conf.sample ] ; then rm -f $(userdir)/p3scan.conf.sample ; fi
	@if [ -f $(userdir)/p3scan.mail.sample ] ; then rm -f $(userdir)/p3scan.mail.sample ; fi
	@if [ -d $(docdir) ] ; then rm -rf $(docdir) ; fi
	@if [ -f $(MANDIR)/p3scan.8.gz ] ; then rm -f $(MANDIR)/p3scan.8.gz ; fi
	@if [ -f $(MANDIR)/p3scan_readme.8.gz ] ; then rm -f $(MANDIR)/p3scan_readme.8.gz ; fi
	@{ test ! -d $(datadir) || { find $(datadir) -type d ! -perm -700 -exec chmod u+w {} ';' && rm -fr $(datadir); }; }
	@{ test ! -d $(piddir) || { find $(piddir) -type d ! -perm -700 -exec chmod u+w {} ';' && rm -fr $(piddir); }; }
	@echo "$(PROGS), $(datadir), and samples removed."
	@if [ -f $(userdir)/p3scan.conf ] ; then echo "$(userdir)/p3scan.conf remains." ; fi
	@if [ -f $(userdir)/p3scan.mail ] ; then echo "$(userdir)/p3scan.mail and p3scan-??.mail remains." ; fi

tags:
	@#VIM Users know why! *g*
	ctags --c-types=+c+p+f+x -R .

fulltags:
	@#VIM Users know why! *g*
	find -name "*.c" -maxdepth 1 -print0 \
	| xargs -n 1 -0r $(CC) -M -H $(CFLAGS) 2>.totag >/dev/null
	find -name "*.c" -maxdepth 1 -print0 \
	| xargs -n 1 -0r echo >>.totag
	cat .totag | sed "s/^[[:space:]]*//" | grep -v "^$(CC)" | sort | uniq >.totag
	ctags --c-types=+c+p+f+x -L .totag .
	rm -f .totag

dist:
	rm -rf $(DISTNAME)
	mkdir $(DISTNAME)
	$(MAKE) clean
	cp Makefile getline.{c,h} parsefile.{c,h} p3scan.{c,h} $(DISTNAME)
	cp scanner.h scanner_*.c $(DISTNAME)
	cp p3scan.conf p3scan-??.mail p3scan-??-??.mail rc.p3scan $(DISTNAME)
	cp p3scan.8.gz p3scan_readme.8.gz $(DISTNAME)
	cp rc.p3scan p3scan-init.d $(DISTNAME)
	cp AUTHORS CHANGELOG CONTRIBUTERS LICENSE NEWS README README-rpm spamfaq.* TODO.list $(DISTNAME)
	cp ripmime* $(DISTNAME) -Rv
	rm -f $(DISTNAME).tar.gz*
	tar cfv $(DISTNAME).tar $(DISTNAME)/
	rm -rf $(DISTNAME)
	gzip -9f $(DISTNAME).tar
	md5sum $(DISTNAME).tar.gz > $(DISTNAME).tar.gz.md5
	@echo "Now create signature with:"
	@echo "gpg -a -o $(DISTNAME).tar.gz.asc -b $(DISTNAME).tar.gz"
#	gpg -a -o $(DISTNAME).tar.gz.asc -b $(DISTNAME).tar.gz

.PHONY: clean install all tags fulltags dist dep depend

include .dep

=== ripmime-1.4.0.3/Makefile ===
# 
# VERSION CHANGES
#
# 0.1.13: Added -I.

LOCATION=/usr/local
VERSION=0.1.14
# VERSION changes
#---------------------
# 0.1.14: Added 'install' usage
#
#CC=gcc

# if there isn't already a default CFLAGS set,
#	use our recommended settings.
#CFLAGS ?= -Wall -g -O2 -Werror $(CPU_OPTS)
#CFLAGS=-Wall -g -O2 -Wundef -Wshadow -Wsign-compare -I.
CFLAGS=-Wall -g -O2 -I.

# OLE decoding is still considered to be 'beta' mode - so it 
#	disabled in the stable release of ripMIME for now
# You can turn it on, but watch out for various office files
#	which may/probably-will break ripMIME with a segfault
#	or other strange errors.  If you do wish to test this
#	and find a dud mailpack, please send through to
#	mailpacks@pldaniels.com
#
COMPONENTS= -DRIPOLE
LIBS= 
#COMPONENTS= 

#  DEBUGGING Related Flags

OBJ=ripmime 
RIPOLE_OBJS= ripOLE/ole.o ripOLE/olestream-unwrap.o ripOLE/bytedecoders.o  ripOLE/bt-int.o
#RIPOLE_OBJS=
OFILES= strstack.o mime.o ffget.o MIME_headers.o tnef/tnef.o rawget.o pldstr.o logger.o libmime-decoders.o boundary-stack.o uuencode.o filename-filters.o $(RIPOLE_OBJS)

default: tnef/tnef.o ripmime ripOLE/ole.o

buildcodes.h: 
	./generate-buildcodes.sh

ripOLE/ole.o:
	./build_ripOLE

tnef/tnef.o:
	./build_tnef

.c.o:
	${CC} ${CFLAGS} $(COMPONENTS) -c $*.c

all: ${OBJ} 


solib: ${OFILES} ripmime-api.o
	gcc --shared -Wl,-soname,libripmime.so.1 ${OFILES} ripmime-api.o -o libripmime.so.1.4.0 -lc

libripmime: ${OFILES} ripmime-api.o
	ar ruvs libripmime.a ${OFILES}  ripmime-api.o

ripl: ripmime.a
	${CC} ${CFLAGS} ripmime.c ripmime.a -o ripmime

sco: ${OFILES}
	${CC} ${CFLAGS} ripmime.c ${OFILES} -o ripmime -lsocket

ripmime: ${OFILES} ripmime.c buildcodes.h
	${CC} ${CFLAGS} $(COMPONENTS) ripmime.c ${OFILES} -o ripmime ${LIBS}

riptest: ${OFILES}
	${CC} ${CFLAGS} riptest.c ${OFILES} -o riptest

install: ${OBJ}
	strip ripmime
	cp ripmime ${LOCATION}/bin/
	cp ripmime.1  ${LOCATION}/man/man1

clean:
	rm -f *.o *core ${OBJ} buildcodes.h
	rm -f tnef/*.o
	rm -f ripOLE/*.o ripOLE/ripole

MIMEH: MIME_headers.o strlower.o
	${CC} ${CFLAGS} MIMEH_test.c MIME_headers.o strlower.o -o MIMEH_test

=== ripmime-1.4.0.3/ripOLE/Makefile ===

OBJS= ole.o olestream-unwrap.o bytedecoders.o logger.o pldstr.o bt-int.o
CFLAGS=-Wall -g -O2 -I.


.c.o:
	$(CC) $(CFLAGS) $(DEFINES) -c $*.c

default: ripole

clean:
	rm -f *.o ripole

ripole: $(OBJS) ripole.[ch]
		$(CC) $(CFLAGS) $(OBJS) $(DEFINES) ripole.c -o ripole
	
validate: ripole
		cp ripole validate

## p3scan 2.3.2

=== debian/changelog ===
p3scan (2:2.3.2-8.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Marc Deslauriers ]
  * p3scan.c: Pass correct arguments to open() (closes: #684492).

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Jun 2013 19:09:04 +0100

p3scan (2:2.3.2-8) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Bumped standards version to 3.9.3
  * Transistioned from /var/run to /run
  * Included fix for freeing unalloacted memory. Thanks to Thomas Parmelan.
    (closes: #491088)
  * The unallocated memory patch also fixes p3scan dying when misconfigured
    (closes: #529843)

 -- Mats Rynge <mats@rynge.net>  Mon, 21 May 2012 08:23:02 -0700

p3scan (2:2.3.2-7) unstable; urgency=low

  * Replaced etc/p3scan/p3scan.mail broken symlink with copy of 
    etc/p3scan/p3scan-en.mail. This will make the file be handled
    as a config file by dpkg. (closes: #484676)

 -- Mats Rynge <mats@rynge.net>  Thu, 05 Jun 2008 19:35:00 -0400

p3scan (2:2.3.2-6) unstable; urgency=low

  * Better fix for bug #475729. The previous fix broke setting daemon
    user in the p3scan.conf file. This fix set the user and group
    correctly. Thanks to Thomas Parmelan for the patch.

 -- Mats Rynge <mats@rynge.net>  Sun, 01 Jun 2008 22:41:48 -0400

p3scan (2:2.3.2-5) unstable; urgency=low

  * Included linux/types.h to fix build problem agains netfilter.h
    from 2.6.25. (Closes: #479306)

 -- Mats Rynge <mats@rynge.net>  Sun, 04 May 2008 17:44:31 -0400

p3scan (2:2.3.2-4) unstable; urgency=low

  * Added user/group to start-stop-daemon start line in order to force
    what group the daemon is run under. This is important when using
    p3scan together with clamav. (Closes: #475729)

 -- Mats Rynge <mats@rynge.net>  Sat, 03 May 2008 06:38:45 -0400

p3scan (2:2.3.2-3) unstable; urgency=low

  * Changed clean target to not ignore errors
  * Moved OpenSSL license excemption from usr/share/doc to copyright file
  * Updated man pages to take care of some issues Lintian pointed out

 -- Mats Rynge <mats@rynge.net>  Sun, 06 Apr 2008 13:00:58 -0400

p3scan (2:2.3.2-2) unstable; urgency=low

  * Removed bashism from init.d script (closes: #473687)

 -- Mats Rynge <mats@rynge.net>  Wed, 02 Apr 2008 17:52:28 -0400

p3scan (2:2.3.2-1) unstable; urgency=low

  * New upstream release (closes: #355340)
  * Added LSB info to init.d script (closes: #469763)
  * Changed logic in init.d script to allow for checking if the daemon is
    already running.
  * /var/spool/p3scan/children is now cleaned on startup (closes: #305368)
  * PID file is now cleaned up correctly on initial failures (closes: #333628))
  * Fixed clamdscan information in README.Debian (closes: #363313)
  * Update copyright file to include OpenSSL exception
  * Added new dependency: libssl-dev
  * Updated standards version to 3.7.3
  * Fixed chown syntax in postinst
  * Fixed spelling mistake in package description (closes: #390247)

 -- Mats Rynge <mats@rynge.net>  Tue, 11 Mar 2008 20:43:20 -0600

p3scan (2:2.1-3) unstable; urgency=low

  * Added adduser as a pre-depends (closes: #408274)

 -- Mats Rynge <mats@rynge.net>  Tue, 25 Jan 2006 13:50:32 -0500

p3scan (2:2.1-2) unstable; urgency=low

  * Fixed a symlink problem from /etc/p3scan to build directory
  * Cleaned up documentaion installation
       - Removed empty NEWS file from package
       - Removed extra LICENSE file
       - Renamed CHANGELOG to changelog
       - gzip files in /usr/share/doc/p3scan

 -- Mats Rynge <mats@rynge.net>  Sun, 09 Jan 2005 12:12:06 -0800

p3scan (2:2.1-1) unstable; urgency=low

  * New upstream release (closes: #286072)
  * Made sure scanned files are group readable. Added note to README.Debian
    on how to make the files readable by clamav-daemon. (closes: #261646)
  * Added an even better example on the iptables config needed
    (closes: #280989)
  * Added documentation describing how to use the debug
    features (closes: #280985)

 -- Mats Rynge <mats@rynge.net>  Sun, 09 Jan 2005 10:25:52 -0800

p3scan (2:1.0-2) unstable; urgency=low

  * Made README.Debian more specific (closes: #241233)
  * Added example for using Clam Antivirus with p3scan (closes: #230112)
  * Added renattach to the suggests

 -- Mats Rynge <mats@rynge.net>  Sat, 05 Jun 2004 16:56:56 -0700

p3scan (2:1.0-1) unstable; urgency=low

  * New upstream release
  * Upstream is now providing a man page - removed the one I wrote
    and the docbook-to-man dependency
  * Fixed typos in package description (closes: #228205)
  * Bumped the standards version to 3.6.1

 -- Mats Rynge <mats@rynge.net>  Sun, 25 Jan 2004 21:25:42 -0800

p3scan (1:1.0rc7-1) unstable; urgency=low

  * New upstream release
  * Added docbook-to-man to dependencies in order to generate man
    page at build time
  * Fixed missing </para> tag in p3scan.sgml
  * Added a explicit clean of ripmime/ripOLE
  * Cleaned up the start/stop code in the pre/post inst/rm scripts
  * Removed dash in version to make it look nicer

 -- Mats Rynge <mats@rynge.net>  Mon, 12 Jan 2004 19:58:57 -0800

p3scan (1.0-rc6-1) unstable; urgency=low

  * Initial Release
  * p3scan replaces pop3vscan, hence the Conflicts: pop3vscan

 -- Mats Rynge <mats@rynge.net>  Sun,  4 Jan 2004 18:05:33 -0800

=== debian/control ===
Source: p3scan
Section: mail
Priority: optional
Maintainer: Mats Rynge <mats@rynge.net>
Build-Depends: debhelper (>= 9.0.0), libpcre3-dev, libssl-dev
Standards-Version: 3.9.3

Package: p3scan
Architecture: any
Pre-Depends: adduser
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: iptables, spamassassin, clamav, renattach
Conflicts: pop3vscan
Description: transparent POP3-proxy with virus- and spam-scanning
 p3scan uses iptables port re-direction to intercept outgoing POP3
 connections. It provides different types of email scanning and is ideal
 for helping to protect your "Other OS" LAN from harm, especially when
 used in conjunction with a firewall and other Internet Proxy servers.
 .
 It is designed to enable scanning of incoming email messages for
 virus's, worms, trojans, spam, and harmful attachments. Because viewing
 HTML mail can enable a spammer to validate an email address (via Web
 bugs), it can also provide HTML stripping.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp

build-indep: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	-rm -f CHANGELOG.gz
	-(cd ripmime/ripOLE && make clean)
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	$(MAKE) install PREFIX=$(CURDIR)/debian/p3scan/usr \
	                MANDIR=$(CURDIR)/debian/p3scan/usr/share/man/man8 \
	                piddir=$(CURDIR)/debian/p3scan/run/p3scan \
	                userdir=$(CURDIR)/debian/p3scan/etc/p3scan \
	                datadir=$(CURDIR)/debian/p3scan/var/spool/p3scan \
	                notify=$(CURDIR)/debian/p3scan/var/spool/p3scan/notify \
	                docdir=$(CURDIR)/debian/p3scan/usr/share/doc/p3scan
	# etc/p3scan/p3scan.mail is a symlink, replace with the english version
	# this will make sure dpkg handles the file as a config file
	rm debian/p3scan/etc/p3scan/p3scan.mail
	cp debian/p3scan/etc/p3scan/p3scan-en.mail debian/p3scan/etc/p3scan/p3scan.mail 
	cp debian/init.d $(CURDIR)/debian/p3scan/etc/init.d/p3scan
	chmod 755 $(CURDIR)/debian/p3scan/etc/init.d/p3scan
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/LICENSE
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/NEWS
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/README-rpm
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/spamfaq.txt
	mv $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/CHANGELOG \
	   $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/changelog
	for FILE in AUTHORS changelog CONTRIBUTERS README README-ripmime TODO.list \
	            spamfaq.html; do \
		gzip -9 $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/$$FILE; \
	done
	# replace with our fixed man pages
	cat p3scan.8 | gzip -9 - \
		> $(CURDIR)/debian/p3scan/usr/share/man/man8/p3scan.8.gz
	cat p3scan_readme.8 | gzip -9 - \
		> $(CURDIR)/debian/p3scan/usr/share/man/man8/p3scan_readme.8.gz
	# remove extra license file - information is in package copyright
	rm -f $(CURDIR)/debian/p3scan/usr/share/doc/p3scan/LICENSE.OpenSSL*
	# remove the pid directory - this is automatically generated in init.d
	rm -rf $(CURDIR)/debian/p3scan/run


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
